Skip to content

Application Control ​

45 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getApplicationsGETGet application list
getFamiliesGETGet family list
getFiltersGETGet filter list
addFilterPOSTCreate new filter
deleteFiltersDELETEDelete an existing filter
editFiltersPUTModify an existing filter
getAssignRestrictionsGETGet application control assigned restriction list
addAssignRestrictionPOSTCreate new restriction assigned to lan network
deleteAssignRestrictionsDELETEDelete an existing restriction
editAssignRestrictionsPUTModify an existing restriction
getRulesGETGet rule list
addRulePOSTCreate new rule
deleteRulesDELETEDelete an existing rule
editRulePUTModify an existing rule
getApplicationControlStatusGETGet application control general settings
editApplicationControlStatusPUTModify application control general settings
getApplicationControlTrafficsGETGet top 10 application traffics
getAllowAppGETGet allow app
getBlockAppGETGet block app
getCategoryAppInfoGETGet app traffic in specific category
getCategoryInfoGETGet category info
getCategoryUserInfoGETGet client traffic in specific category
getClientTrafficGETGet clients traffic
getClientTrafficV2POSTGet clients traffic V2
getMostActiveApplicationsGETGet most active applications
getSpecificAppInfoGETGet client traffic in specific app
getSpecificClientInfoGETGet app traffic in specific client
clearDpiDataDELETEClear DPI data
getClientTrafficListPOSTGet clients traffic list
getApplicationsTemplateGETGet application list
getFamiliesTemplateGETGet family list
getFiltersTemplateGETGet filter list
addFilterTemplatePOSTCreate new filter
deleteFiltersTemplateDELETEDelete an existing filter
editFiltersTemplatePUTModify an existing filter
getAssignRestrictionsTemplateGETGet application control assigned restriction list
addAssignRestrictionTemplatePOSTCreate new restriction assigned to lan network
deleteAssignRestrictionsTemplateDELETEDelete an existing restriction
editAssignRestrictionsTemplatePUTModify an existing restriction
getRulesTemplateGETGet rule list
addRuleTemplatePOSTCreate new rule
deleteRulesTemplateDELETEDelete an existing rule
editRulesTemplatePUTModify an existing rule
getApplicationControlStatusTemplateGETGet application control general settings
editApplicationControlStatusTemplatePUTModify application control general settings

getApplications ​

GET /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/applications

Get application list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
searchKeyquerystringnoFuzzy query parameters, support field application name
filtersFamilyIdqueryintegernoFilter query parameters, support field 0
json
// omada_call_operation
{
  "operationId": "getApplications",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get application list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35107 - Dpi protocols are updating.
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi

getFamilies ​

GET /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/families

Get family list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getFamilies",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get family list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
Site Statics Manager View Only
Site Clients Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35107 - Dpi protocols are updating.
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi

getFilters ​

GET /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/filters

Get filter list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
searchKeyquerystringnoFuzzy query parameters, support field filter name
json
// omada_call_operation
{
  "operationId": "getFilters",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get filter list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi

addFilter ​

POST /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/filters

Create new filter

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema AddFilterEntity

FieldTypeRequiredDescription
filterNamestringyesFilter name. It should be 1 - 128 characters
descriptionstringyesDescription of filter. It should be 1 - 128 characters
rulesarray<integer>yesRule ID list can be obtained from 'Get rule list' interface.
json
// omada_call_operation
{
  "operationId": "addFilter",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new filter.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35103 - Rules should not be empty.
-35104 - Filter name already exist.
-35109 - Dpi filters reach entry limits.
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi

deleteFilters ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/filters/{filterId}

Delete an existing filter

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
filterIdpathstringyesFilter ID
json
// omada_call_operation
{
  "operationId": "deleteFilters",
  "params": {
    "siteId": "<siteId>",
    "filterId": "<filterId>"
  }
}
Details, permissions and error codes

Delete an existing filter.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35101 - Failed to delete filter. Please check whether filter is used by restriction.
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi

editFilters ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/filters/{filterId}

Modify an existing filter

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
filterIdpathstringyesFilter ID

Request body — application/json (required) — schema EditFilterEntity

FieldTypeRequiredDescription
filterNamestringyesFilter name. It should be 1 - 128 characters
descriptionstringnoDescription of filter. It should be 1 - 128 characters
rulesarray<integer>yesRule ID list can be obtained from 'Get rule list' interface.
json
// omada_call_operation
{
  "operationId": "editFilters",
  "params": {
    "siteId": "<siteId>",
    "filterId": "<filterId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing filter.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35103 - Rules should not be empty.
-35104 - Filter name already exist.
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi

getAssignRestrictions ​

GET /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/restrictions

Get application control assigned restriction list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getAssignRestrictions",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get application control assigned restriction list with the given omadacId, siteId.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi

addAssignRestriction ​

POST /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/restrictions

Create new restriction assigned to lan network

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema RestrictionEntity

FieldTypeRequiredDescription
networkNamestringyesNetwork name. It should be the name of LAN network, can be obtained from 'Get LAN network list' interface.
filterIdintegeryesFilter ID can be obtained from 'Get filter list' interface.
networkIdstringnoNetwork ID. It should be the ID of lan network. It can be queried by request: Get LAN network list.
json
// omada_call_operation
{
  "operationId": "addAssignRestriction",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new restriction assigned to lan network.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35108 - Dpi restrictions reach entry limits.
-35111 - Restriction has applied to this lan network.

deleteAssignRestrictions ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/restrictions/{restrictionId}

Delete an existing restriction

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
restrictionIdpathstringyesRestriction ID
json
// omada_call_operation
{
  "operationId": "deleteAssignRestrictions",
  "params": {
    "siteId": "<siteId>",
    "restrictionId": "<restrictionId>"
  }
}
Details, permissions and error codes

Delete an existing restriction.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi

editAssignRestrictions ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/restrictions/{restrictionId}

Modify an existing restriction

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
restrictionIdpathstringyesRestriction ID

Request body — application/json (required) — schema RestrictionEntity

FieldTypeRequiredDescription
networkNamestringyesNetwork name. It should be the name of LAN network, can be obtained from 'Get LAN network list' interface.
filterIdintegeryesFilter ID can be obtained from 'Get filter list' interface.
networkIdstringnoNetwork ID. It should be the ID of lan network. It can be queried by request: Get LAN network list.
json
// omada_call_operation
{
  "operationId": "editAssignRestrictions",
  "params": {
    "siteId": "<siteId>",
    "restrictionId": "<restrictionId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing restriction.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi

getRules ​

GET /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/rules

Get rule list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
searchKeyquerystringnoFuzzy query parameters, support field rule name
json
// omada_call_operation
{
  "operationId": "getRules",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get rule list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi

addRule ​

POST /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/rules

Create new rule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema AddRuleEntity

FieldTypeRequiredDescription
ruleNamestringyesRule name. It should be 1 - 128 characters
schedulestringyesSchedule profile ID, which can be queried by request: Get time range profile list.
qosbooleanyesEnable qos. true:enable / false:disable
qosClassintegernoThe Class value selected in the Qos Class configuration, required when qos is enable. Valid values is 0: Others, 1: Class 1, 2: Class 2, 3: Class 3.
applicationsarray<integer>yesApplication ID list can be obtained from 'Get application list' interface.
selectTypestringyesSelect type of applications. include: include selected applications, exclude: all but exclude selected applications, all: include all applications.
json
// omada_call_operation
{
  "operationId": "addRule",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new rule.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35102 - Applications should not be empty.
-35105 - Rule name already exist.
-35110 - Dpi rules reach entry limits.
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi

deleteRules ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/rules/{ruleId}

Delete an existing rule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
ruleIdpathstringyesRule ID
json
// omada_call_operation
{
  "operationId": "deleteRules",
  "params": {
    "siteId": "<siteId>",
    "ruleId": "<ruleId>"
  }
}
Details, permissions and error codes

Delete an existing rule.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35100 - Failed to delete rule. Please check whether rule is used by filter.
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi

editRule ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/rules/{ruleId}

Modify an existing rule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
ruleIdpathstringyesRule ID

Request body — application/json (required) — schema EditRuleEntity

FieldTypeRequiredDescription
ruleNamestringyesRule name. It should be 1 - 128 characters
schedulestringyesSchedule profile ID, which can be queried by request: Get time range profile list.
qosbooleanyesEnable qos. true:enable / false:disable
qosClassintegernoThe Class value selected in the Qos Class configuration, required when qos is enable. Valid values is 0: Others, 1: Class 1, 2: Class 2, 3: Class 3.
applicationsarray<integer>yesApplication ID list can be obtained from 'Get application list' interface.
json
// omada_call_operation
{
  "operationId": "editRule",
  "params": {
    "siteId": "<siteId>",
    "ruleId": "<ruleId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing rule.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35102 - Applications should not be empty.
-35105 - Rule name already exist.
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi

getApplicationControlStatus ​

GET /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/status

Get application control general settings

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getApplicationControlStatus",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get application control general settings with the given omadacId, siteId.
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi

editApplicationControlStatus ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/status

Modify application control general settings

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema DpiSettings

FieldTypeRequiredDescription
dpibooleanyesEnable dpi. true:enable / false:disable
loggingTrafficbooleanyesEnable logging traffic. true:enable / false:disable
json
// omada_call_operation
{
  "operationId": "editApplicationControlStatus",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify application control general settings.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi

getApplicationControlTraffics ​

GET /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/traffics

Get top 10 application traffics

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
dateStartqueryintegeryesDate Start
dateEndqueryintegeryesDate End
json
// omada_call_operation
{
  "operationId": "getApplicationControlTraffics",
  "params": {
    "siteId": "<siteId>",
    "dateStart": "<dateStart>",
    "dateEnd": "<dateEnd>"
  }
}

getAllowApp ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/allowApp

Get allow app

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getAllowApp",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get allow app.
The interface requires one of the permissions:
Site Dashboard Manager View Only

getBlockApp ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/blockApp

Get block app

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getBlockApp",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get block app.
The interface requires one of the permissions:
Site Dashboard Manager View Only

getCategoryAppInfo ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/categoryAppInfo/{familyId}

Get app traffic in specific category

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
familyIdpathstringyesFamily Id
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
json
// omada_call_operation
{
  "operationId": "getCategoryAppInfo",
  "params": {
    "siteId": "<siteId>",
    "familyId": "<familyId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get app traffic in specific category.
The interface requires one of the permissions:
Site Dashboard Manager View Only

getCategoryInfo ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/categoryInfo

Get category info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getCategoryInfo",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get category info.
The interface requires one of the permissions:
Site Dashboard Manager View Only

getCategoryUserInfo ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/categoryUserInfo/{familyId}

Get client traffic in specific category

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
familyIdpathstringyesFamily Id
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
json
// omada_call_operation
{
  "operationId": "getCategoryUserInfo",
  "params": {
    "siteId": "<siteId>",
    "familyId": "<familyId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get client traffic in specific category.
The interface requires one of the permissions:
Site Dashboard Manager View Only

getClientTraffic ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/clientTraffic

Get clients traffic

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getClientTraffic",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get clients traffic.
The interface requires one of the permissions:
Site Dashboard Manager View Only

getClientTrafficV2 ​

POST /openapi/v1/{omadacId}/sites/{siteId}/dashboard/clientTraffic

Get clients traffic V2

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ClientTrafficOpenApiQueryDataVO

FieldTypeRequiredDescription
pageintegeryesStart from 1.
pageSizeintegeryesIt should be within the range of 1–100.
sortsobjectno
searchKeystringnoLook for a specific piece of data.
filtersobjectno
searchFieldstringno
startintegernoStart timestamp, in seconds, such as 1682000000
endintegernoEnd timestamp, in seconds, such as 1682000000
clientTrafficFiltersarray<ClientTrafficFilterOpenApiVO>noClient traffic filtering condition
json
// omada_call_operation
{
  "operationId": "getClientTrafficV2",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get clients traffic V2.
The interface requires one of the permissions:
Site Dashboard Manager View Only

getMostActiveApplications ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/mostActiveAppTraffic

Get most active applications

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
json
// omada_call_operation
{
  "operationId": "getMostActiveApplications",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get most active applications.
The interface requires one of the permissions:
Site Dashboard Manager View Only

getSpecificAppInfo ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/specificAppInfo/{applicationId}

Get client traffic in specific app

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
applicationIdpathstringyesApplication Id
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
json
// omada_call_operation
{
  "operationId": "getSpecificAppInfo",
  "params": {
    "siteId": "<siteId>",
    "applicationId": "<applicationId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get client traffic in specific app.
The interface requires one of the permissions:
Site Dashboard Manager View Only

getSpecificClientInfo ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/specificClientInfo/{clientMac}

Get app traffic in specific client

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
clientMacpathstringyesClient Mac
startqueryintegeryesStart timestamp, in seconds, such as 1682000000
endqueryintegeryesEnd timestamp, in seconds, such as 1682000000
json
// omada_call_operation
{
  "operationId": "getSpecificClientInfo",
  "params": {
    "siteId": "<siteId>",
    "clientMac": "<clientMac>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get app traffic in specific client.
The interface requires one of the permissions:
Site Dashboard Manager View Only

clearDpiData ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/stat/dpi

Clear DPI data

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ClearDpiDataRequest

FieldTypeRequiredDescription
startintegeryesStart timestamp, in seconds, such as 1682000000
endintegeryesEnd timestamp, in seconds, such as 1682000000
json
// omada_call_operation
{
  "operationId": "clearDpiData",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Clear all DPI data.
The interface requires one of the permissions:
Site Settings Manager Modify
Site Statics Manager Modify
Network Config Page Modify
Site Device Manager Modify

getClientTrafficList ​

POST /openapi/v1/{omadacId}/sites/{siteId}/stat/dpi/clients/trafficList

Get clients traffic list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ClientTrafficOpenApiQueryDataV2VO

FieldTypeRequiredDescription
pageintegeryesStart from 1.
pageSizeintegeryesIt should be within the range of 1–100.
sortsobjectnoSort rule, key: sort field, value: sort direction, value parameter may be one of asc or desc.
filtersobjectnoFilter [family] in the form of Map. When the value of the [family] key is empty, return an empty result.
startintegernoStart timestamp, in seconds, such as 1682000000
endintegernoEnd timestamp, in seconds, such as 1682000000
clientTrafficFiltersarray<ClientTrafficFilterOpenApiVO>noClient traffic filtering condition
json
// omada_call_operation
{
  "operationId": "getClientTrafficList",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get clients traffic list.
The interface requires one of the permissions:
Site Statics Manager View Only
Site Network Report Manager View Only

getApplicationsTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/applications

Get application list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
searchKeyquerystringnoFuzzy query parameters, support field application name
filtersFamilyIdqueryintegernoFilter query parameters, support field 0
json
// omada_call_operation
{
  "operationId": "getApplicationsTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get application list.
The interface requires one of the permissions:
Global Site Template Manager View Only

getFamiliesTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/families

Get family list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getFamiliesTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get family list.
The interface requires one of the permissions:
Global Site Template Manager View Only

getFiltersTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/filters

Get filter list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
searchKeyquerystringnoFuzzy query parameters, support field filter name
json
// omada_call_operation
{
  "operationId": "getFiltersTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get filter list.
The interface requires one of the permissions:
Global Site Template Manager View Only

addFilterTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/filters

Create new filter

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema AddFilterEntity

FieldTypeRequiredDescription
filterNamestringyesFilter name. It should be 1 - 128 characters
descriptionstringyesDescription of filter. It should be 1 - 128 characters
rulesarray<integer>yesRule ID list can be obtained from 'Get rule list' interface.
json
// omada_call_operation
{
  "operationId": "addFilterTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new filter.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35103 - Rules should not be empty.
-35104 - Filter name already exist.
-35109 - Dpi filters reach entry limits.

deleteFiltersTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/filters/{filterId}

Delete an existing filter

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
filterIdpathstringyesFilter ID
json
// omada_call_operation
{
  "operationId": "deleteFiltersTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "filterId": "<filterId>"
  }
}
Details, permissions and error codes

Delete an existing filter.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35101 - Failed to delete filter. Please check whether filter is used by restriction.

editFiltersTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/filters/{filterId}

Modify an existing filter

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
filterIdpathstringyesFilter ID

Request body — application/json (required) — schema EditFilterEntity

FieldTypeRequiredDescription
filterNamestringyesFilter name. It should be 1 - 128 characters
descriptionstringnoDescription of filter. It should be 1 - 128 characters
rulesarray<integer>yesRule ID list can be obtained from 'Get rule list' interface.
json
// omada_call_operation
{
  "operationId": "editFiltersTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "filterId": "<filterId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing filter.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35103 - Rules should not be empty.
-35104 - Filter name already exist.

getAssignRestrictionsTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/restrictions

Get application control assigned restriction list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getAssignRestrictionsTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get application control assigned restriction list with the given omadacId, siteId.
The interface requires one of the permissions:
Global Site Template Manager View Only

addAssignRestrictionTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/restrictions

Create new restriction assigned to lan network

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema RestrictionEntity

FieldTypeRequiredDescription
networkNamestringyesNetwork name. It should be the name of LAN network, can be obtained from 'Get LAN network list' interface.
filterIdintegeryesFilter ID can be obtained from 'Get filter list' interface.
networkIdstringnoNetwork ID. It should be the ID of lan network. It can be queried by request: Get LAN network list.
json
// omada_call_operation
{
  "operationId": "addAssignRestrictionTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new restriction assigned to lan network.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35108 - Dpi restrictions reach entry limits.
-35111 - Restriction has applied to this lan network.

deleteAssignRestrictionsTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/restrictions/{restrictionId}

Delete an existing restriction

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
restrictionIdpathstringyesRestriction ID
json
// omada_call_operation
{
  "operationId": "deleteAssignRestrictionsTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "restrictionId": "<restrictionId>"
  }
}
Details, permissions and error codes

Delete an existing restriction.
The interface requires one of the permissions:
Global Site Template Manager Modify

editAssignRestrictionsTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/restrictions/{restrictionId}

Modify an existing restriction

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
restrictionIdpathstringyesRestriction ID

Request body — application/json (required) — schema RestrictionEntity

FieldTypeRequiredDescription
networkNamestringyesNetwork name. It should be the name of LAN network, can be obtained from 'Get LAN network list' interface.
filterIdintegeryesFilter ID can be obtained from 'Get filter list' interface.
networkIdstringnoNetwork ID. It should be the ID of lan network. It can be queried by request: Get LAN network list.
json
// omada_call_operation
{
  "operationId": "editAssignRestrictionsTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "restrictionId": "<restrictionId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing restriction.
The interface requires one of the permissions:
Global Site Template Manager Modify

getRulesTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/rules

Get rule list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
searchKeyquerystringnoFuzzy query parameters, support field rule name
json
// omada_call_operation
{
  "operationId": "getRulesTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get rule list.
The interface requires one of the permissions:
Global Site Template Manager View Only

addRuleTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/rules

Create new rule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema AddRuleEntity

FieldTypeRequiredDescription
ruleNamestringyesRule name. It should be 1 - 128 characters
schedulestringyesSchedule profile ID, which can be queried by request: Get time range profile list.
qosbooleanyesEnable qos. true:enable / false:disable
qosClassintegernoThe Class value selected in the Qos Class configuration, required when qos is enable. Valid values is 0: Others, 1: Class 1, 2: Class 2, 3: Class 3.
applicationsarray<integer>yesApplication ID list can be obtained from 'Get application list' interface.
selectTypestringyesSelect type of applications. include: include selected applications, exclude: all but exclude selected applications, all: include all applications.
json
// omada_call_operation
{
  "operationId": "addRuleTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new rule.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35102 - Applications should not be empty.
-35105 - Rule name already exist.
-35110 - Dpi rules reach entry limits.

deleteRulesTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/rules/{ruleId}

Delete an existing rule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
ruleIdpathstringyesRule ID
json
// omada_call_operation
{
  "operationId": "deleteRulesTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "ruleId": "<ruleId>"
  }
}
Details, permissions and error codes

Delete an existing rule.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35100 - Failed to delete rule. Please check whether rule is used by filter.

editRulesTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/rules/{ruleId}

Modify an existing rule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
ruleIdpathstringyesRule ID

Request body — application/json (required) — schema EditRuleEntity

FieldTypeRequiredDescription
ruleNamestringyesRule name. It should be 1 - 128 characters
schedulestringyesSchedule profile ID, which can be queried by request: Get time range profile list.
qosbooleanyesEnable qos. true:enable / false:disable
qosClassintegernoThe Class value selected in the Qos Class configuration, required when qos is enable. Valid values is 0: Others, 1: Class 1, 2: Class 2, 3: Class 3.
applicationsarray<integer>yesApplication ID list can be obtained from 'Get application list' interface.
json
// omada_call_operation
{
  "operationId": "editRulesTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "ruleId": "<ruleId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing rule.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35102 - Applications should not be empty.
-35105 - Rule name already exist.

getApplicationControlStatusTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/status

Get application control general settings

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getApplicationControlStatusTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get application control general settings with the given omadacId, siteId.
The interface requires one of the permissions:
Global Site Template Manager View Only

editApplicationControlStatusTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/status

Modify application control general settings

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema DpiSettings

FieldTypeRequiredDescription
dpibooleanyesEnable dpi. true:enable / false:disable
loggingTrafficbooleanyesEnable logging traffic. true:enable / false:disable
json
// omada_call_operation
{
  "operationId": "editApplicationControlStatusTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify application control general settings.
The interface requires one of the permissions:
Global Site Template Manager Modify

Released under the MIT License. Not affiliated with or endorsed by TP-Link.